GHOSTLIST.CGI(1)

NAME
ghostlist.cgi - CGI program to view ghost clients

SYNOPSIS
ghostlist.cgi

DESCRIPTION
ghostlist.cgi is invoked as a CGI script via the ghostlist.sh CGI wrapper.

It generates a listing of the Xymon clients that have reported data to the Xymon server, but are not listed in the hosts.cfg(5) file. Data from these clients - called "ghosts" - are ignored, since Xymon does not know which webpage to present the data on.

The listing includes the hostname that the client reports with, the IP-address where the report came from, and how long ago the report arrived.

By far the most common reason for hosts showing up here is that the client uses a hostname without a DNS domain, but the hosts.cfg file uses the hostname with the DNS domain. Or vice versa. You can then use a CLIENT setting in the hosts.cfg file to match the two hostnames together.

OPTIONS

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

SEE ALSO
hosts.cfg(5), xymonserver.cfg(5)